Sessions
Update a session input
Answer a pending session question.
PATCH
/
v1
/
sessions
/
{sessionId}
/
inputs
/
{inputId}
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const input = await client.sessions.inputs.update('inputId', {
sessionId: '7c9e6679-7425-40de-944b-e07fc1f90ae7',
answers: {},
});use tembo_rs::*;
let client = Tembo::from_env()?;
let response = client
.sessions()
.inputs()
.update(
"7c9e6679-7425-40de-944b-e07fc1f90ae7",
"example",
InputsUpdateBody {
answers: std::collections::HashMap::new(),
},
)
.send()
.await?;
curl --request PATCH \
--url https://api.tembo.io/v1/sessions/{sessionId}/inputs/{inputId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"answers": {}
}'import requests
url = "https://api.tembo.io/v1/sessions/{sessionId}/inputs/{inputId}"
payload = { "answers": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({answers: {}})
};
fetch('https://api.tembo.io/v1/sessions/{sessionId}/inputs/{inputId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/sessions/{sessionId}/inputs/{inputId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'answers' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/sessions/{sessionId}/inputs/{inputId}"
payload := strings.NewReader("{\n \"answers\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tembo.io/v1/sessions/{sessionId}/inputs/{inputId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"answers\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/sessions/{sessionId}/inputs/{inputId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"answers\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"toolCallId": "<string>",
"status": "pending",
"questions": [
{
"id": "<string>",
"header": "<string>",
"question": "<string>",
"isOther": true,
"isSecret": true,
"options": [
{
"label": "<string>",
"description": "<string>"
}
]
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Answers keyed by question ID. Send an empty object to skip the questions.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const input = await client.sessions.inputs.update('inputId', {
sessionId: '7c9e6679-7425-40de-944b-e07fc1f90ae7',
answers: {},
});use tembo_rs::*;
let client = Tembo::from_env()?;
let response = client
.sessions()
.inputs()
.update(
"7c9e6679-7425-40de-944b-e07fc1f90ae7",
"example",
InputsUpdateBody {
answers: std::collections::HashMap::new(),
},
)
.send()
.await?;
curl --request PATCH \
--url https://api.tembo.io/v1/sessions/{sessionId}/inputs/{inputId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"answers": {}
}'import requests
url = "https://api.tembo.io/v1/sessions/{sessionId}/inputs/{inputId}"
payload = { "answers": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({answers: {}})
};
fetch('https://api.tembo.io/v1/sessions/{sessionId}/inputs/{inputId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/sessions/{sessionId}/inputs/{inputId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'answers' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/sessions/{sessionId}/inputs/{inputId}"
payload := strings.NewReader("{\n \"answers\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tembo.io/v1/sessions/{sessionId}/inputs/{inputId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"answers\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/sessions/{sessionId}/inputs/{inputId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"answers\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"toolCallId": "<string>",
"status": "pending",
"questions": [
{
"id": "<string>",
"header": "<string>",
"question": "<string>",
"isOther": true,
"isSecret": true,
"options": [
{
"label": "<string>",
"description": "<string>"
}
]
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}